# Generated by Makefile. Do not edit.

commit c56bc2a1ba226833dbd3e06f4c99a7d86cbe916f
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Mar 8 14:59:29 2013 +0100

    Prepare 0.0.3

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 0bdfc6ed9953b6ec1c2c07e417426ebccdcfb9f3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Feb 7 14:03:58 2013 -0500

    Be more robust against unknown entry types
    
    Right now when an unknown entry type is encountered, we can end up
    appending a NULL value in the middle of the entry list, which might
    later result in a segfault in the client dereferencing NULL when
    iterating the list.
    Be more robust to that error, so that the returned entry list is always
    composed of valid elements.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=872884
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693353

 src/zpj-skydrive.c | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit a39806b7690c9a7e6356971c2dc648b8a9d7d4c8
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Jun 6 15:40:49 2012 +0200

    Add the Git URL to README

 README | 1 +
 1 file changed, 1 insertion(+)

commit 315e50b9ec347620a9b27c32b0d9a0c7560c1861
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Jun 6 14:42:40 2012 +0200

    Post-release version bump

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0ebd992c078a2a42b1c9fcde274d41ed5afe9072
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon Jun 4 23:23:09 2012 +0200

    Prepare 0.0.2

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 936254776e9878951f72eeab5646cb0a69fa6a14
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Jun 1 21:23:47 2012 +0200

    docs: Document zpj_skydrive_download_file_to_stream_async

 src/zpj-skydrive.c | 34 +++++++++++++++++++++++++++++++++-
 1 file changed, 33 insertions(+), 1 deletion(-)

commit 09ed0025275b6d454468fa0eeefdc8b8befc46d2
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Jun 1 21:13:52 2012 +0200

    skydrive: Implement download_file_to_stream_async

 src/zpj-skydrive.c | 26 ++++++++++++++++++++++++++
 src/zpj-skydrive.h | 10 ++++++++++
 2 files changed, 36 insertions(+)

commit 5bc35c67c7a222580c52dd754431522bffd0b561
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Jun 1 20:11:21 2012 +0200

    docs: Document zpj_skydrive_download_file_id_to_stream_async

 src/zpj-skydrive.c | 36 +++++++++++++++++++++++++++++++++++-
 1 file changed, 35 insertions(+), 1 deletion(-)

commit f3882d00632b11ee01e0f15d1e39c9fca269aaa8
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Jun 1 19:49:26 2012 +0200

    skydrive: Implement download_file_id_to_stream_async

 src/zpj-skydrive.c | 77 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h | 10 +++++++
 2 files changed, 87 insertions(+)

commit 43fbc962e90805b6fccc1774cafa761c65662f06
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu May 31 16:03:54 2012 +0200

    Be careful with trademarks
    
    Make it clearer that we are wrapping the REST APIs. Also, it is spelt
    SkyDrive, and not Skydrive.

 NEWS                           | 4 ++--
 README                         | 6 +++---
 libzapojit.doap                | 2 +-
 src/zpj-authorization-domain.c | 2 +-
 src/zpj-authorization-domain.h | 2 +-
 src/zpj-authorizer.c           | 2 +-
 src/zpj-authorizer.h           | 2 +-
 src/zpj-goa-authorizer.c       | 2 +-
 src/zpj-goa-authorizer.h       | 2 +-
 src/zpj-skydrive-entry.c       | 2 +-
 src/zpj-skydrive-entry.h       | 2 +-
 src/zpj-skydrive-file.c        | 2 +-
 src/zpj-skydrive-file.h        | 2 +-
 src/zpj-skydrive-folder.c      | 2 +-
 src/zpj-skydrive-folder.h      | 2 +-
 src/zpj-skydrive-photo.c       | 2 +-
 src/zpj-skydrive-photo.h       | 2 +-
 src/zpj-skydrive.c             | 2 +-
 src/zpj-skydrive.h             | 2 +-
 src/zpj.h                      | 2 +-
 zapojit-0.0.pc.in              | 2 +-
 21 files changed, 24 insertions(+), 24 deletions(-)

commit 95a46b368ae23f77623bc7b793cf8cdb827fa967
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu May 31 00:05:16 2012 +0200

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ad7868cb89ef20bb3d564b5f204a0fe286d86e1
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 30 19:55:21 2012 +0200

    docs: Document zpj_skydrive_query_info_from_id_async

 src/zpj-skydrive.c | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

commit 75ab093c57a94f45559afa865935a1144702ffdc
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 30 19:43:46 2012 +0200

    skydrive: Implement query_info_from_id_async

 src/zpj-skydrive.c | 72 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h | 10 ++++++++
 2 files changed, 82 insertions(+)

commit 914954c5b880d6c26fb738438de16fb2a71f04a2
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 30 15:46:46 2012 +0200

    Write NEWS

 NEWS | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 727aa49abc5d5e7c27cc18d6e5084a2055ebdb70
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 30 15:38:49 2012 +0200

    docs: Document ZpjSkydrivePhoto

 docs/reference/libzapojit-0.0-docs.sgml |  1 +
 src/zpj-skydrive-photo.c                | 23 +++++++++++++++++++++++
 src/zpj-skydrive-photo.h                | 12 ++++++++++++
 3 files changed, 36 insertions(+)

commit e3074d54bd02b7d6e1bffa9ae8674d10816eddd2
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 30 14:31:21 2012 +0200

    docs: Document ZpjSkydriveFolder

 docs/reference/libzapojit-0.0-docs.sgml |  2 ++
 src/zpj-skydrive-file.c                 | 33 +++++++++++++++++++++++
 src/zpj-skydrive-file.h                 | 12 +++++++++
 src/zpj-skydrive-folder.c               | 23 ++++++++++++++++
 src/zpj-skydrive-folder.h               | 47 +++++++++++++++++++++++++++++++++
 5 files changed, 117 insertions(+)

commit e3d9bde9199474f2b897c81ca899743954af5fc2
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 30 13:52:19 2012 +0200

    docs: Style fix

 src/zpj-goa-authorizer.h | 2 +-
 src/zpj-skydrive-entry.h | 2 +-
 src/zpj-skydrive.h       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit c75309a8e5a7f85561a4425680a96f683cd074ff
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 20:05:26 2012 +0200

    docs: Document ZpjGoaAuthorizer

 docs/reference/libzapojit-0.0-docs.sgml |  1 +
 src/zpj-goa-authorizer.c                | 30 ++++++++++++++++++++++++++++++
 src/zpj-goa-authorizer.h                | 12 ++++++++++++
 3 files changed, 43 insertions(+)

commit cce30152b25c5dacba08ac34fc4d16a57d309cd1
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 20:03:29 2012 +0200

    GOA is part of our public API due to ZpjGoaAuthorizer

 docs/reference/Makefile.am | 1 +
 zapojit-0.0.pc.in          | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit bad8afedf37b943e601de0e75698e80fe175ea63
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 20:02:05 2012 +0200

    docs: Style fix

 src/zpj-skydrive.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ee914e674e13a9044c7fb207f234a4924845572
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 19:37:19 2012 +0200

    docs: Document ZpjAuthorizer

 docs/reference/libzapojit-0.0-docs.sgml |   5 ++
 src/zpj-authorizer.c                    | 108 ++++++++++++++++++++++++++++++++
 src/zpj-authorizer.h                    |  17 +++++
 3 files changed, 130 insertions(+)

commit 6e13b976fb91dbff1f095fc59a4352bd1af2e0aa
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 19:36:02 2012 +0200

    docs: Add @include fields

 src/zpj-skydrive-entry.c | 1 +
 src/zpj-skydrive.c       | 1 +
 2 files changed, 2 insertions(+)

commit 1d71a9f16d735d991437ea4ceedc70306f151933
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 17:44:50 2012 +0200

    docs: Use Zapojit in the title

 docs/reference/libzapojit-0.0-docs.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb1f5bb1cd3f251e96f6a124252af9e06d854e24
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 17:43:20 2012 +0200

    docs: Add chapter id

 docs/reference/libzapojit-0.0-docs.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70bb993e547b827b841e7459e9887cf5a7ffdf15
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 17:41:55 2012 +0200

    docs: Add releaseinfo, authorgroup, copyright and legalnotice

 docs/reference/libzapojit-0.0-docs.sgml | 40 +++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

commit df2c57192c99788081722472593493b08102baa5
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 29 16:40:45 2012 +0200

    docs: Document ZpjSkydrive
    
    Left out zpj_skydrive_create_folder* because they do not work.

 docs/reference/libzapojit-0.0-docs.sgml |   1 +
 src/zpj-skydrive.c                      | 241 ++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h                      |  12 ++
 3 files changed, 254 insertions(+)

commit c4953646b10660a8fdbfca5e3d644b21da45ec6b
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon May 28 23:37:45 2012 +0200

    build: Fix AUTHORS and Changelog generation

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a1f82e96c84d636a106052f43fe8a7b2d3393886
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon May 28 23:20:42 2012 +0200

    docs: Add gtk-doc
    
    Documented ZpjSkydriveEntry and ZpjSkydriveEntryType.

 Makefile.am                             |  11 ++-
 configure.ac                            |   5 ++
 docs/Makefile.am                        |   1 +
 docs/reference/Makefile.am              |  48 +++++++++++++
 docs/reference/libzapojit-0.0-docs.sgml |  24 +++++++
 docs/reference/version.xml.in           |   1 +
 src/zpj-skydrive-entry.c                | 122 ++++++++++++++++++++++++++++++++
 src/zpj-skydrive-entry.h                |  28 ++++++++
 8 files changed, 238 insertions(+), 2 deletions(-)

commit 2a268858eb4e9bad50ea8cfc6f665410bfd8a190
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon May 28 19:07:07 2012 +0200

    build: Add GObject Introspection
    
    https://live.gnome.org/GObjectIntrospection/AutotoolsIntegration

 Makefile.am     |  2 ++
 configure.ac    | 10 ++++++---
 src/Makefile.am | 69 +++++++++++++++++++++++++++++++++++++++++++++++++--------
 3 files changed, 69 insertions(+), 12 deletions(-)

commit 4218ddc224d5b6d30f72394edb221fe65ab28a93
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sun May 27 12:17:31 2012 +0200

    skydrive: Implement list_folder_id_async
    
    Plus some general async infrastructure.

 src/zpj-skydrive.c | 101 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h |  10 ++++++
 2 files changed, 111 insertions(+)

commit 1f9df73bdaf7855f5bcb95de1acd58ed3782bb93
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat May 26 16:01:42 2012 +0200

    skydrive: Implement download_file_to_stream

 src/zpj-skydrive.c | 19 +++++++++++++++++++
 src/zpj-skydrive.h |  5 +++++
 2 files changed, 24 insertions(+)

commit 2f396b76a316fadd8909a193ef03a147b308d4da
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat May 26 15:49:13 2012 +0200

    configure: Bump minimum libsoup version to 2.38
    
    We need SOUP_SESSION_USE_THREAD_CONTEXT.

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit df4b26dab542ab1c6cf0a02f3f38c8880d05e278
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat May 26 15:45:39 2012 +0200

    skydrive: Implement download_file_id_to_stream

 configure.ac       |  2 ++
 src/zpj-skydrive.c | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h |  6 ++++++
 3 files changed, 61 insertions(+)

commit 7a87956f6271acbd96a2e266cd9b0ea63510d214
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri May 25 15:37:40 2012 +0200

    skydrive-entry: Add properties "from-id" and "from-name"

 src/zpj-skydrive-entry.c | 53 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive-entry.h |  4 ++++
 2 files changed, 57 insertions(+)

commit 4e2b1520fcf9fd1a990a53bd4eedd5acfd9af598
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri May 25 15:11:00 2012 +0200

    Fix the link

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 809ed7af9eabd3c5443355a2dc51d211484af7b8
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri May 25 01:44:27 2012 +0200

    Add a link to the Core Concepts page to README

 README | 1 +
 1 file changed, 1 insertion(+)

commit 038d7e04e5bd08aaad3a5b0ba43b202a0bf16745
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 22:16:34 2012 +0200

    skydrive-entry: Add property "created-time"

 src/zpj-skydrive-entry.c | 26 ++++++++++++++++++++++++++
 src/zpj-skydrive-entry.h |  2 ++
 2 files changed, 28 insertions(+)

commit a22b5a40c75d82c4fb4f003d86bc7a0a607748c6
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 15:52:46 2012 +0200

    skydrive-folder: Add friendly names for folders

 src/zpj-skydrive-folder.h | 5 +++++
 1 file changed, 5 insertions(+)

commit 5b92164510e82c93fbb58c7b7c30109302fa4f76
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 15:40:57 2012 +0200

    skydrive-file: Add property "size"

 src/zpj-skydrive-file.c | 68 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive-file.h |  8 ++++--
 2 files changed, 74 insertions(+), 2 deletions(-)

commit b33795d311255900bb17f578cd034e7f8dce0dd7
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 15:10:02 2012 +0200

    skydrive-entry: Make parse_json_node a virtual method
    
    Derived classes should override it and chain up for parsing properties
    specific to them.

 src/zpj-skydrive-entry.c | 6 +++---
 src/zpj-skydrive-entry.h | 3 +++
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 0746a0db38d8c9316024fc09d4846054a1bdee06
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 15:07:42 2012 +0200

    pkgconfig: json-glib-1.0 is now part of the public API

 zapojit-0.0.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61162044220de0698e451925bcd002fb15b9559f
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 14:53:24 2012 +0200

    Implement photos

 src/Makefile.am          |  2 ++
 src/zpj-skydrive-entry.c |  6 ++++
 src/zpj-skydrive-entry.h |  1 +
 src/zpj-skydrive-photo.c | 46 +++++++++++++++++++++++++++++++
 src/zpj-skydrive-photo.h | 71 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.c       |  3 ++
 src/zpj.h                |  1 +
 7 files changed, 130 insertions(+)

commit 0f1f0752bd1104c0e50181456856a511f8970767
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 00:50:05 2012 +0200

    skydrive-entry: Dispose the updated_time

 src/zpj-skydrive-entry.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 8d50fedb66300a68b82df379e889288b6baaa568
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed May 23 00:28:13 2012 +0200

    Allow construction of SkydriveFile and SkydriveFolder from JSON
    
    In most cases SkydriveFile and SkydriveFolder will be created from the
    JSON returned by the server. Therefore let the
    zpj_skydrive_{file,folder}_new methods accept a JsonNode, instead of
    the individual properties.
    
    All other existing properties of SkydriveEntry are now
    G_PARAM_READABLE, instead of G_PARAM_CONSTRUCT_ONLY | G_PARAM_READWRITE

 src/zpj-skydrive-entry.c  | 103 ++++++++++++++++++++++++++++++++++------------
 src/zpj-skydrive-file.c   |  10 +----
 src/zpj-skydrive-file.h   |   7 ++--
 src/zpj-skydrive-folder.c |  10 +----
 src/zpj-skydrive-folder.h |   7 ++--
 src/zpj-skydrive.c        |  12 +-----
 6 files changed, 88 insertions(+), 61 deletions(-)

commit d29e2b665854caf804edd0d882b810258ff69984
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 22 19:19:04 2012 +0200

    skydrive-entry: Add property "updated-time"

 src/zpj-skydrive-entry.c | 27 ++++++++++++++++++++++++++-
 src/zpj-skydrive-entry.h |  2 ++
 2 files changed, 28 insertions(+), 1 deletion(-)

commit 6eb65b51a7cbf72b076f8d3cf3f8347d3d81df06
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 22 15:07:52 2012 +0200

    skydrive: Implement delete_entry_id

 src/zpj-skydrive.c | 40 ++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h |  5 +++++
 2 files changed, 45 insertions(+)

commit 022678faf8f31f375df34322a02b2bd6296694b6
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 22 15:05:14 2012 +0200

    goa-authorizer: Support DELETE messages in process_message

 src/zpj-goa-authorizer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5149af69b4900d42f9da378e8932c8ceb5aab64f
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue May 22 14:02:11 2012 +0200

    skydrive: Implement download_file_to_path

 src/zpj-skydrive.c | 21 +++++++++++++++++++++
 src/zpj-skydrive.h |  7 +++++++
 2 files changed, 28 insertions(+)

commit 27cee00f62ff1e1a7773e54b78a7b60dc5e69f0f
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu May 17 07:14:18 2012 +0200

    skydrive: Implement download_file_id_to_path

 src/zpj-skydrive.c | 114 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h |   6 +++
 2 files changed, 120 insertions(+)

commit f32cb6dac23c4a89deadb171b09acaa1325878ea
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu May 17 07:11:28 2012 +0200

    goa-authorizer: Support GET messages in process_message

 src/zpj-goa-authorizer.c | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit 5e9d4848ff0ee61b5f08c28f1081f698ed6fa43f
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat May 12 11:26:47 2012 +0200

    Initial revision
    
    Supports:
      + listing a folder's contents
      + uploading a file
      + reading the properties of a file or folder
    
    All methods are synchronous.

 AUTHORS                        |   2 +
 COPYING                        | 502 +++++++++++++++++++++++++++++++++++++++++
 ChangeLog                      |   4 +
 Makefile.am                    |  62 +++++
 NEWS                           |   8 +
 README                         |  16 ++
 autogen.sh                     |  24 ++
 configure.ac                   |  54 +++++
 libzapojit.doap                |  22 ++
 po/LINGUAS                     |   1 +
 po/POTFILES.in                 |   2 +
 po/POTFILES.skip               |   0
 src/Makefile.am                | 104 +++++++++
 src/zpj-authorization-domain.c | 151 +++++++++++++
 src/zpj-authorization-domain.h |  73 ++++++
 src/zpj-authorizer.c           | 120 ++++++++++
 src/zpj-authorizer.h           |  95 ++++++++
 src/zpj-enums.c.template       |  51 +++++
 src/zpj-enums.h.template       |  34 +++
 src/zpj-goa-authorizer.c       | 250 ++++++++++++++++++++
 src/zpj-goa-authorizer.h       |  74 ++++++
 src/zpj-skydrive-entry.c       | 229 +++++++++++++++++++
 src/zpj-skydrive-entry.h       |  86 +++++++
 src/zpj-skydrive-file.c        |  52 +++++
 src/zpj-skydrive-file.h        |  72 ++++++
 src/zpj-skydrive-folder.c      |  52 +++++
 src/zpj-skydrive-folder.h      |  72 ++++++
 src/zpj-skydrive.c             | 460 +++++++++++++++++++++++++++++++++++++
 src/zpj-skydrive.h             | 118 ++++++++++
 src/zpj.h                      |  32 +++
 zapojit-0.0.pc.in              |  11 +
 31 files changed, 2833 insertions(+)
